Post Log
Retrieve sent posts and publishing attempts with optional performance analytics.
The Post Log provides access to posts that have been sent to social media channels, including both successful publications and failed send attempts. Use these endpoints to retrieve historical post data, verify publication status, and get individual post performance metrics. Each post log entry includes send status, timestamps, target social profile, and optionally, engagement metrics.
While this endpoint supports analytics for individual posts, for bulk analytics and comprehensive reporting across multiple posts, use the Social BI endpoints instead.
Each post has one postlog per CredentialId. RemoteId is the network's native post id, in the same form as an X status id (xxxx in the examples below). RemoteUrl is the permalink to that post. Status is success, error, or deleted.
List by Post Id
postId is required. This list has no date range. To find posts by date, use the Calendar, then load postlogs with this endpoint.
Example Request
curl -i https://api.oktopost.com/v2/postlog?postId=004000000000001Example Result
{
"Result": true,
"Postlogs": [
{
"Id": "007000000000001",
"PostId": "004000000000001",
"CampaignId": "002000000000001",
"MessageId": "005000000000001",
"CredentialId": "003-001000000000001-12345678",
"LinkId": "008000000000001", // deprecated
"LinkIds": [...],
"Created": "2017-05-02 10:29:04",
"Modified": "2017-05-07 02:58:18",
"Status": "success",
"Network": "Twitter",
"RemoteId": "xxxx",
"RemoteUrl": "http://twitter.com/Oktopost/status/xxxx",
"Error": ""
}
]
}Get Single Social Post
Example Request
curl -i https://api.oktopost.com/v2/postlog/007000000000001Example Result
{
"Result": true,
"Postlog": {
"Id": "007000000000001",
"PostId": "004000000000001",
"CampaignId": "002000000000001",
"MessageId": "005000000000001",
"CredentialId": "003-001000000000001-12345678",
"LinkId": "008000000000001", // deprecated
"LinkIds": [...],
"Created": "2017-05-02 10:29:04",
"Modified": "2017-05-07 02:58:18",
"Status": "success",
"Network": "Twitter",
"RemoteId": "xxxx",
"RemoteUrl": "http://twitter.com/Oktopost/status/xxxx",
"Error": ""
}
}Get Social Post Stats
To get updated stats per social post, add stats=1 to the query parameters, like so:
curl -i https://api.oktopost.com/v2/postlog/007000000000001?stats=1This will result in:
{
"Result": true,
"Postlog": {
"Id": "007000000000001",
"PostId": "004000000000001",
"CampaignId": "002000000000001",
"MessageId": "005000000000001",
"CredentialId": "003-001000000000001-12345678",
"LinkId": "008000000000001", // deprecated
"LinkIds": [...],
"Created": "2017-05-02 10:29:04",
"Modified": "2017-05-07 02:58:18",
"Status": "success",
"Network": "Twitter",
"RemoteId": "xxxx",
"RemoteUrl": "http://twitter.com/Oktopost/status/xxxx",
"Error": ""
},
"Stats": {
"LinkClicks": 4,
"Conversions": 1,
"Comments": 1,
"Likes": 1,
"Shares": 0,
"ImpressionsAdded": 69,
"MediaClicksAdded": 0,
"DetailExpandsAdded": 0,
"UserFollowsAdded": 0
}
}